Bug 247760 - net-im/6cord: fix build
Summary: net-im/6cord: fix build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mikael Urankar
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-04 15:22 UTC by Mikael Urankar
Modified: 2020-07-22 18:52 UTC (History)
2 users (show)

See Also:
vulcan: maintainer-feedback+
vulcan: merge-quarterly?


Attachments
v1 (1.09 KB, patch)
2020-07-04 15:22 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-07-04 15:22:16 UTC
Created attachment 216196 [details]
v1

# github.com/godbus/dbus                                                                                                                                                                     
In file included from vendor/github.com/godbus/dbus/transport_unixcred_freebsd.go:13:         
In file included from /usr/include/sys/ucred.h:39:                                                                                                                                           
/usr/include/sys/_lock.h:38:2: error: unknown type name 'u_int'                               
        u_int   lo_flags;                                                                     
        ^                                                                                     
/usr/include/sys/_lock.h:39:2: error: unknown type name 'u_int'                                                                                                                              
        u_int   lo_data;                /* General class specific data. */
        ^
In file included from vendor/github.com/godbus/dbus/transport_unixcred_freebsd.go:13:
In file included from /usr/include/sys/ucred.h:40:
/usr/include/sys/_mutex.h:49:11: error: unknown type name 'uintptr_t'
        volatile uintptr_t      mtx_lock;       /* Owner and flags. */
                 ^
/usr/include/sys/_mutex.h:63:11: error: unknown type name 'uintptr_t'
        volatile uintptr_t      mtx_lock;       /* Owner and flags. */
                 ^
4 errors generated.
Comment 1 Fernando Apesteguía freebsd_committer 2020-07-04 17:15:47 UTC
^Triage: Reporter is committer, assign accordingly.
Comment 2 Lewis Cook freebsd_triage 2020-07-05 15:00:02 UTC
Thanks for catching this!

MFH: Yes (Bugfix update, fixes build on i386 and affects 2020Q3 users so potential merge-quarterly candidate)
Comment 3 Lewis Cook freebsd_triage 2020-07-05 15:03:59 UTC
(In reply to Lewis Cook from comment #2)
Actually, this affects amd64 too. As reported by pkg-fallout[0].

[1] http://beefy18.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p541162_s362853
Comment 4 commit-hook freebsd_committer 2020-07-22 17:23:26 UTC
A commit references this bug:

Author: mikael
Date: Wed Jul 22 17:23:18 UTC 2020
New revision: 542881
URL: https://svnweb.freebsd.org/changeset/ports/542881

Log:
  net-im/6cord: fix build on -head

  Import upstream patch: https://github.com/godbus/dbus/commit/efee8394fa9a426004eb24eed1dee80f5efd90af

  PR:		247760
  Approved by:	Lewis Cook (maintainer)
  MFH:		2020Q3 (build fix)

Changes:
  head/net-im/6cord/files/patch-vendor_github.com_godbus_dbus_transport__unixcred__freebsd.go
Comment 5 commit-hook freebsd_committer 2020-07-22 18:45:44 UTC
A commit references this bug:

Author: mikael
Date: Wed Jul 22 18:45:37 UTC 2020
New revision: 542885
URL: https://svnweb.freebsd.org/changeset/ports/542885

Log:
  MFH: r542881

  net-im/6cord: fix build on -head

  Import upstream patch: https://github.com/godbus/dbus/commit/efee8394fa9a426004eb24eed1dee80f5efd90af

  PR:		247760
  Approved by:	Lewis Cook (maintainer)
  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/net-im/6cord/files/patch-vendor_github.com_godbus_dbus_transport__unixcred__freebsd.go